Subject: bug#10695: my_man_MANS does not work

From: Stefano Lattarini <[email-masked]>
Date: Thu, 02 Feb 2012 21:11:23 +0100

severity 7656 minor
severity 10695 minor
merge 10695 7656
thanks

Hi Samuel, thanks for the report.

Samuel Thibault wrote on Thu, 2 Feb 2012:
>
> $ cat configure.ac
> AC_INIT([FOO],1.0.0)
> AM_INIT_AUTOMAKE([1.11 foreign])
> AC_OUTPUT([Makefile])
>
> $ cat Makefile.am
> my_mandir = $(docdir)
> my_man_MANS = foo.1
>
> But the foo.1 manpage does not get installed:
>
> $ autoreconf -vfi && ./configure && make install
> ...
> make[1]: Nothing to be done for `install-exec-am'.
> make[1]: Nothing to be done for `install-data-am'.
>
Yep, long-standing (and annoying) issue.  See also:
 <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7656>

I'm merging your report with the old one.  I hope I'll be able to take
a better look at this issue before the next release...

Thanks,
  Stefano